2008-05-29  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>
    * this file has not been updated in years; consult the official documentation instead.

2003-07-19  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* src/gr.cc (gr_drawsymbol): Fix SF 773850 bug (bbox increased by 'draw symbol' even if ps clip)

2003-05-19  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* startup.cc (start_up): Fix SF bug 739761 ('draw time stamp' broken)

2003-05-03  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* README-linux-redhat: had wrong directory for docs (patch provided by Kawamura Masao)

	* utility.cc (tmp_file_name): fix bug that would prevent compilation if the HAVE_TEMPNAM flag were set (patch provided by Kawamura Masao)

2003-04-14  Peter S Galbraith  <psg@debian.org>

	* Makefile.in: Fix HTML manual link in gri-mode.el installed on
	RedHat.  Fixes SF bug 720607.

2003-04-06  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* doline.cc (sub_dollar_paren): fix SF bug 696073

2003-04-05  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* doline.cc (remove_comment): fix problem in scanning double-quoted strings

2003-01-08  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* read.cc (read_pgm_image): fix SF bug 664388 ('read image P5' broken)

2002-11-23  Dan E. Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* rpncalc.cc (do_operation): fix SF bug 641406 (RPN too aggressive on missing values)

2002-09-07  Dan Kelley  <kelley@limit.phys.ocean.dal.ca>

	* Gri version 2.12.0.

2002-08-28  Dan Kelley  <kelley@limit.phys.ocean.dal.ca>

	* variable.cc (put_var): catch assignment to ..missingvalue.., and set the missing value if so

2002-07-21  Dan Kelley  <kelley@limit.phys.ocean.dal.ca>

	* CHANGE definition of kurtosis used in "column statistics", to be the more basic of the two common definitions (i.e. the one without 3 subtracted)

	* rpncalc.cc (do_operation): Add rpn operators for column skewness and kurtosis

2002-06-16  Dan Kelley  <kelley@limit.phys.ocean.dal.ca>

	* rpncalc.cc (do_operation): add hex2dec and dec2hex RPN operators

2002-06-08  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* doc/texinfo2HTML (sub_refs): add ability to handle uref texinfo item, which makes cross-referencing urls a lot easier.

2002-06-05  Dan Kelley  <kelley@limit.phys.ocean.dal.ca>

	* rpncalc.cc (do_operation): Add 'sed' binary operator
	(do_operation): use GriString and string objects, instead of C
	character array, for safety

2002-06-01  Dan Kelley  <kelley@limit.phys.ocean.dal.ca>

	* Fix Sourceforge bug 562911 (won't build with gcc-3.0)
	* Fix Sourceforge bug 562558 ('draw title' confusion with log axes)
	* Fix Sourceforge bug 562014 (won't build if popt library is
	unavailable)
	* Fix SourceForge bug 558463 (in HTML docs, the ``press'' margin
	tag was misdirected)
	* Fix SourceForge bug 562017 (parser fails with DOS end-of-line)
	* Fix SourceForge bug 562017 ('new page' postscript error in gv viewer)
	
2002-05-16  Dan Kelley  <kelley@limit.phys.ocean.dal.ca>

	* gri.cmd, doc/gri.texim, and some code:  rename variables such as .ll_x. as .xleft., thus increasing uniformity and ease of understanding

2002-05-07  Dan Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* configure.in (PROGS): remove the check for popt, which won't be used in the 2.x series (but remains, commented-out, for the 3.x series)

2002-05-04  Dan Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* rpn.cc: Fix SourceForge bug #552009 (`rpn' can segfault if `!=' operator is written as `=!')

2002-04-21  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* set.cc (set_clipCmd): move the postscript clipping work to gr.cc,
	isolating the control of the PS file to smooth the road for SVG.

2002-04-04  Dan Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* set.cc (set_x_axisCmd): Add user-supplied axis labels (same for
	y axis)

	* graxes.cc (gr_drawxaxis): Add user-supplied axis labels (same
	for y axis)

2002-03-18  Dan Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* draw.cc (draw_labelCmd): Permit 'draw label' coordinates in pt

2002-03-16  Dan Kelley  <kelley@Limit.Phys.Ocean.Dal.Ca>

	* regress.cc (regressCmd): Fix Sourceforge bug ##482120 ('regress'
	ignored data weights.
	
	* grstring.cc (gr_DrawChar): Fix Sourceforge bug #508657 (drawing
	of strings containing undefined synonyms was missing the backslash
	that should have been present).

2002-03-12  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* draw.cc (draw_box_filledCmd): permit 'draw box' coordinates in pt
	(draw_symbolCmd): permit 'draw symbol' coordinates in pt
	(draw_line_from_toCmd): permit 'draw line' coordinates in pt

	* GriPath.cc (stroke_or_fill): permit coordinates in pt
	(bounding_box): permit coordinates in pt

	* gri.cmd: permit 'draw box' and 'draw symbol' to have coordinates in pt
	
	* draw.cc (draw_boxCmd): allow 'draw box' to specify coordinates in pt

2002-02-27  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* set.cc: Fix Sourceforge bug #523450 (log axes detect non-positive values too late)

2002-02-21  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* Fix Sourceforge bug #513002 (minor error in documentation of
	'set clip').

	* Fix sourceforge bug #521045 (install problem, function prototype
	problem).

	* Fix Sourceforge bug #509592 (doc HTML indices misordered).

	* Fix SourceForge bug #506523 (map axes give wrong minutes in
	negative regions).

	* Fix SourceForge bug #508088 (grimode: gv should update, not be
	relaunched).

	* Make RPM install/uninstall run silently.

	* Fix SourceForge bug #506490 ('-v' commandline option gave wrong
	number)

	* Add `set clip to curve'.  (Not reliable yet, for long curves, and also I've not finalized the winding convention yet.)
	
	
2001-12-13  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* rpncalc.cc: insert a missing 'return' statement, to fix
	gri.sf.net bug number 492472 (i.e. that the "inf" RPN operator was
	broken).

2001-10-18  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* startup.cc (interpret_optional_arguments): examine the
	commandline argument "-output NNN" for various file types,
	e.g. GIF and SVG files, but (so far) only actually _handle_
	postscript file types.  I think SVG output would be nice, since I
	think that's where free vector-graphics editors are going.
 
2001-10-14  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* variable.cc (put_var): update the _xinc and _yinc values, if the
	variables named ..xinc.. or ..yinc.. get modified

	* scales.cc (create_y_scale): keep ..xinc.. and ..yinc.. up to
	date as scales are changed

	* startup.cc (set_defaults): store ..xinc.. and ..yinc..

	* doc/gri.texim: update the history sections to account for
	versions 2.8.3 and 2.8.4

	* startup.redhat: rewrite to shorten and clarify; also, put in a
	pointer to the SourceForge website.

2001-10-13  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* startup.cc (start_up): prevent segfault if no command-file name
	is supplied

	* set.cc (set_line_widthCmd): make 'set line width rapidograph'
	(that is, with no pen-width name) give a more informative error

	* utility.cc (show_words): this will help in debugging

2001-10-09  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* Makefile.in (check): add 'make check', to run the 'check.pl'
	Perlscript (see next item)

	* check.pl: add this new feature, which checks version numbers in
	the various files, and will (I hope) eventually check other
	aspects of a release.

2001-10-01 Dan E. Kelley <Dan.Kelley@Dal.Ca>
	
	* Release as gri-2.8.4 on SourceForge.Net site.  
	
	* Fix SourceForge bug #467973 (`gri -version' gave wrong version
	number, breaking the Emacs Gri mode.)
	
	* Fix SourceForge bug #468401 (`draw grid' disobeys pencolor)
	
	
2001-10-01 Dan E. Kelley <Dan.Kelley@Dal.Ca>
	
	* Release as gri-2.8.3 on SourceForge.Net site.  
	
	* Fix SourceForge bug #462243 (endian problem in Rasterfile
	images, plus a reading problem in PGM images).

2001-09-10 Dan E. Kelley <Dan.Kelley@Dal.Ca>
	
	* Release as gri-2.8.2 on SourceForge.Net site.
	
	* Really fix SourceForge bug #454557 (wouldn't compile with the
	pre-release version 3.0.1 of the GNU c++ compiler).  This closes
	SourceForge Bug #111093.

2001-09-06 Dan E. Kelley <Dan.Kelley@Dal.Ca>

	* Release as gri-2.8.1 on SourceForge.Net site.
	
	* Fix SourceForge bug #450465 (`create columns from function' was
	broken).
	
	* Fix SourceForge bug #454557 (wouldn't compile with the
	pre-release version 3.0.1 of the GNU c++ compiler). Closes
	Sourceforge bug #111093)
	
2001-07-24 Dan E. Kelley <dan.kelley@dal.ca>

	* Bump up version number to 2.8.0

2001-07-23 Dan E. Kelley <Dan.Kelley@Dal.Ca>

	* Release as gri-2.8.0 on SourceForge.Net site.

	* Add `unlink' command as a unix-familiar way to delete files.

	* Add `set page size' command to clip to a given page size.

	* Add `substr' RPN operator to permit extraction of sub-strings.

	* Add `default' for the `set x name' and the `set y name'
	commands.

	* Add Perl-like ability to put underscores in numerical constants
	(`.v. = 1_000' and `.v. = 1000' are completely equivalent).

	* In Emacs mode, change <M-Tab> so that it completes builtin
	variables and synonyms as well as commands.

	* In Emacs mode, add "idle-timer help" to display defaults for
	builtin variables under cursor.

	* In Emacs mode, make fontification of builtin variables apply
	only if spelled correctly.

	* To Makefile, add `make source-arch-indep' target in sources.
	This will build a source tar file in which all the
	architecture-independent material (documentation in HTML,
	postscript and Info formats) is pre-made.  This makes it easier to
	install gri on a host that doesn't have TeX and ImageMagick
	installed.

	* Move gri-html-doc and gri-ps-doc documentation files to the
	/usr/share/doc/gri directory

	* Ensure that package compiles with Standards-Version: 3.5.5
	without changes.

2001-04-19 Dan E. Kelley <Dan.Kelley@Dal.Ca>

	* Rename the RPM spec file as gri.spec, without the version number
	embedded in the filename.  Upgrade to version number 2.6.1.
	Change url to point to sourceforge site (but leave ftp as it is,
	for now anyway).

2000-06-1 Dan E. Kelley <Dan.Kelley@Dal.Ca>

	* Triv changes here; code changes are to read compressed files,
	and manual improvements.

2000-05-30  Peter S. Galbraith <psg@debian.org>

	* doc/gri.texi: Added Emacs gri-mode chapter.
	
	* doc/gri.texi: Example images are not in example directory
	anymore.

	* doc/screenshots: new directory.

	* doc/gri2html: Colorize .gri file in HTML manual.

	* index.html: Now first page instead of gri1.html

	* doc/HTML_subdivide: Now has better navigation tags.

	* doc/examples: All examples are jpg instead of Gif.

	* doc/texinfo2HTML: skips a few more @if constructs.

	* doc/Makefile: Updated for above things.

	* Makefile.in: Updated source target
	
2000-05-12 Dan E. Kelley <dan.kelley@dal.ca>
	
	* Compress info files for linux-redhat.

2000-05-11 Peter S Galbraith <psg@debian.org>

	* Change info files to .info file extension.
	
	* Tweaked install-info rules.  I hope they work.

	* Patch texinfo2HTML to skip over the @dircategory line and
	  the @direntry block.
	
	* Uncomment them in gri.texi
	
	* Make gri.texi produce .info extensions (@setfilename gri.info)
	
	* Patch gri-2.5.1.spec, Makefile.in and doc/Makefile targets to
	  use .info extension.

2000-05-07  Dan E. Kelley  <Dan.Kelley@Dal.Ca>

	* VERSION 2.4.4
	
	* Make it report a warning, rather than an error, if mathematical
	operations are tried on empty columns (e.g. 'y += 10').
 
	* The Makefile doesn't automatically link to the math library;
	instead it uses "./configure" to figure out whether a math
	library exists.  This is because BeOS doesn't use the math
	library.

	* Some other changes to Makefile, which I think/hope affect
	only "make install", not "make install_linux_debian" or
	"make install_linux_redhat".

	* I no longer use "popen()" subroutine, which BeOS does not
	have, unless I REALLY need it.  (utility.cc)

	* Clean up a few things in the configure script, mainly by
	renaming variables to be more readible, and by removing tests for
	architectures that never have any affect on the code.

2000-04-01 Dan E. Kelley <dan.kelley@dal.ca>

	* Fix spec-file error in the install-info command.  However, to my
	great frustration, this is still broken or install-info is broken)
	since the command doesn't install an entry for gri.  After
	hand-editing to insert a Gri entry, I uncovered another bug, and
	so I have added a chmod of /usr/info/dir file so folks other than
	root can use info.
	
	* Update the version number in gri.cmd to match the number
	compiled into gri.  

	* Update the startup message from the old form to the new form.

	* Call this release 3 to match Tim Powers' convention (although I
	think it should be called release 1, when it works!)

2000-03-31 Dan E. Kelley <dan.kelley@dal.ca>

	* applied Tim Powers' patches directly to the sources, updating
	them so that the patches Tim had made in this spec file are no
	longer needed.  Note: I didn't apply Tim's patch to the
	documentation, since visual inspection indicated that I had
	already repaired the errors he found (each of which which involved
	my having used an incorrect name for the example gif files.)

	* renamed Tim's spec file from gri.spec to gri-2.4.3.spec since
	otherwise I'd get too confused as versions develop.

2000-01-30  Dan E. Kelley <dan.kelley@dal.ca>

	* Changing to e.g. /usr/share/info instead of /usr/info.  Same for
	manpages.  I know, I should be using the fancy macros that are
	defined in /usr/lib/rpm, but these seemed contradictory, with
	respect to where things are in my Redhat 7.0 setup ... and I had a
	hard time figuring out how to use these macros anyway, so I just
	gave up and hard-wired them in, using the new directories as used
	in Redhat 7.0, as opposed to the (different) directories in all
	the other Redhat versions I've had.  Someday I'll switch to using
	macros, but it means changing both this spec-file and various
	Makefiles, and I need to be sure that changes to the Makefiles
	don't hurt the distributions for Debian linux, for solaris, etc.
